## EvSidebarAttachments EvSidebarAttachments |

## Synopsis

                        EvSidebarAttachments;
                        EvSidebarAttachmentsClass;
                        EvSidebarAttachmentsPrivate;
    GtkWidget *         ev_sidebar_attachments_new          (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----EvSidebarAttachments

## Implemented Interfaces

EvSidebarAttachments implements AtkImplementorIface, GtkBuildable, GtkOrientable and EvSidebarPage.

## Signals

      "popup"                                          : Run Last / Action

## Description

## Details

### EvSidebarAttachments

    typedef struct _EvSidebarAttachments EvSidebarAttachments;

### EvSidebarAttachmentsClass

    typedef struct {
    	GtkVBoxClass base_class;

    	/* Signals */
    	void (*popup_menu) (EvSidebarAttachments *ev_attachbar,
    			    EvAttachment    *attachment);
    } EvSidebarAttachmentsClass;

### EvSidebarAttachmentsPrivate

    typedef struct _EvSidebarAttachmentsPrivate EvSidebarAttachmentsPrivate;

### ev_sidebar_attachments_new ()

    GtkWidget *         ev_sidebar_attachments_new          (void);

Returns : |

## Signal Details

### The `"popup"` signal

    void                user_function                      (EvSidebarAttachments *evsidebarattachments,
                                                            gpointer              arg1,
                                                            gpointer              user_data)                 : Run Last / Action